fix: gen-migrations workflow
Some checks failed
gen-migrations / gen-migrations (push) Failing after 16s

This commit is contained in:
Orion Kindel 2023-07-19 18:59:13 -05:00
parent 46b4bc6496
commit 309bbd5fdb
Signed by untrusted user who does not match committer: orion
GPG Key ID: 6D4165AE4C928719
2 changed files with 2 additions and 2 deletions

View File

@ -22,7 +22,7 @@ url="postgresql://$POSTGRES_USER:$POSTGRES_PASSWORD@$pg_host:$port"
isready() {
local waited=0
until pg_isready -p "$port" 1>/dev/null; do
until pg_isready -h "$pg_host" -p "$port" 1>/dev/null; do
if [[ "$waited" = "10" ]]; then
pwd
cat docker-compose.yml

View File

@ -27,7 +27,7 @@ if [[ ! -f "$migration" ]]; then
./scripts/build.sh base "$base" 1>&2 || (echo "base failed to build" && exit 1)
./scripts/build.sh head "$head" 1>&2 || (echo "head failed to build" && exit 1)
until pg_isready -p 5432 1>/dev/null && pg_isready -p 5433 1>/dev/null; do true; done;
until pg_isready -h "$pg_host" -p 5432 1>/dev/null && pg_isready -h "$pg_host" -p 5433 1>/dev/null; do true; done;
migra --unsafe "$base_url" "$head_url" || echo "migra exited with code $?. this is /probably/ fine" 1>&2
else